Bug 166855 - system-config-network, 'save' erases local loopback entry
system-config-network, 'save' erases local loopback entry
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-08-26 10:39 EDT by jmw
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 04:54:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmw 2005-08-26 10:39:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.10) Gecko/20050716

Description of problem:
for any commandline use of 'system-config-network', or the GUI, that includes a 'save' of changes, the program will erase the local loopback entry (127.0.0.1).  if this is not manually resotred before the next reboot, the system is not able to connect to a network.  so far, i find this on a Dell PW410 and Dell I7500 (the latter is a laptop machine).

Version-Release number of selected component (if applicable):
kernel-smp-2.6.12-1.1398_FC4

How reproducible:
Always

Steps to Reproduce:
1. "applications - system tools - network device control" or ...
2. "desktop - system settings - network" or ...
3. (xterm commandline) system-config-network
4. make any change, or make no change 
5. choose 'save', whether anything was changed or not
  

Actual Results:  the first three lines in /etc/hosts get deleted, including the local loopback ip address.  the first two lines are comments, that warn agains removing the local loopback address, and removal of those two is relatively unimportant.  the third line is the loopback address.

Expected Results:  preserve this line:
127.0.0.1   localhost.localdomain  localhost <optional alias>

Additional info:

observation:  adding one or more blank lines at the top of /etc/hosts does not appear to affect this behavior.

don't know of any other relevant information.
Comment 1 jmw 2005-08-30 19:21:35 EDT
30 aug 05 -- i found a work-around:
move the loopback line to the bottom of /etc/hosts, that is, after all other
entries.  now, 'save' leaves the line intact, and FC4 boots without a network error.
Comment 2 Jonathan Rawle 2005-10-07 18:40:41 EDT
The work-around doesn't work for me. The loopback line is still erased. The
comments are not erased in my case, only the loopback line. This has been the
behaviour on my machine since at least FC2.
Comment 3 Peter Targett 2006-06-22 04:09:51 EDT
Actually the loopback line is appended back at the top of the file and the
problem begins over.

I have found a work-around that seems to work - although you never see an entry
for the loopback device, add one by clicking 'New'; thereafter the loopback
entry is re-saved (at the top) and is followed by your new list of host names.
Comment 4 Christian Iseli 2007-01-22 05:13:17 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 jmw 2007-01-22 10:36:20 EST
you people were supposed to close this one more than a year ago. so....

YES, CLOSE THIS ONE!!

Note You need to log in before you can comment on or make changes to this bug.